# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Name:		perl-Task-Weaken
Version:	1.04
Release:	1.%{__distinit}%{__distvers}
Summary:	Ensure that a platform has weaken support
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Task-Weaken/
Source0:	http://www.cpan.org/authors/id/A/AD/ADAMK/Task-Weaken-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:	perl(Perl::MinimumVersion) >= 1.20
BuildRequires:	perl(Pod::Simple) >= 3.07
BuildRequires:	perl(Test::CPAN::Meta) >= 0.12
BuildRequires:	perl(Test::MinimumVersion) >= 0.008
BuildRequires:	perl(Test::Pod) >= 1.26

%description
One recurring problem in modules that use Scalar::Util's weaken function is
that it is not present in the pure-perl variant.

This restores the functionality testing to a dependency you do once in
your Makefile.PL, rather than something you have to write extra tests
for each time you write a module.

%prep
%setup -q -n Task-Weaken-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} \;
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
%{__make} test
%{__make} test AUTOMATED_TESTING=1 TEST_FILES="xt/*.t"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/Task/
%{_mandir}/man3/Task::Weaken.3pm*

%changelog
* Tue Mar  8 2011 Paul Howarth <paul@city-fan.org> - 1.04-1
- Update to 1.04
  - Updating author tests
  - Updating to Module::Install
  - Simple refactoring of Makefile.PL
- Manually run the author tests since they're not run automatically now

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> - 1.03-4
- Rebuild for perl 5.12.1 in Rawhide

* Sun May 30 2010 Paul Howarth <paul@city-fan.org> - 1.03-3
- Fix dist tag for RHEL-6 Beta

* Wed Feb 17 2010 Paul Howarth <paul@city-fan.org> - 1.03-2
- Dist tag for Rawhide no longer needs special-casing

* Mon Aug 10 2009 Paul Howarth <paul@city-fan.org> - 1.03-1
- Import from Fedora
- Update to 1.03
- Correct license (should be "GPL+ or Artistic", not "GPLv2+ or Artistic")
- Enable AUTOMATED_TESTING
- Add buildreqs perl(Pod::Simple), perl(Perl::MinimumVersion),
  perl(Test::CPAN::Meta), perl(Test::MinimumVersion), and perl(Test::Pod) for
  enhanced test coverage

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.02-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.02-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jun 07 2008 Caolán McNamara <caolanm@redhat.com> 1.02-3
- Rebuild for dependancies

* Fri Mar 28 2008 Simon Wilkinson <simon@sxw.org.uk> 1.02-2
- Fix license tag

* Thu Mar 27 2008 Simon Wilkinson <simon@sxw.org.uk> 1.02-1
- Specfile autogenerated by cpanspec 1.73.
